GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
dummy_python_frame Class Reference

## Public Member Functions
| dummy_python_frame ()
| ~dummy_python_frame ()
bool | failed () const

## Private Attributes
bool | m_valid
PyFrameObject * | m_saved_frame
gdbpy_ref | m_frame
PyThreadState * | m_tstate

## Detailed Description

Definition at line 363 of file py-prettyprint.c.

## Constructor & Destructor Documentation

## ◆ dummy_python_frame()

dummy_python_frame::dummy_python_frame | ( |  | ) |

Definition at line 388 of file py-prettyprint.c.

References code, gdb::ref_ptr< T, Policy >::get(), m_frame, m_saved_frame, m_tstate, m_valid, and gdb::ref_ptr< T, Policy >::reset().

## ◆ ~dummy_python_frame()

dummy_python_frame::~dummy_python_frame | ( |  | ) |
| inline

Definition at line 369 of file py-prettyprint.c.

References m_saved_frame, m_tstate, and m_valid.

## Member Function Documentation

## ◆ failed()

bool dummy_python_frame::failed | ( |  | ) | const
| inline

Definition at line 375 of file py-prettyprint.c.

References m_valid.

Referenced by print_children().

## Member Data Documentation

## ◆ m_frame

gdbpy_ref dummy_python_frame::m_frame
| private

Definition at line 384 of file py-prettyprint.c.

Referenced by dummy_python_frame().

## ◆ m_saved_frame

PyFrameObject* dummy_python_frame::m_saved_frame
| private

Definition at line 383 of file py-prettyprint.c.

Referenced by dummy_python_frame(), and ~dummy_python_frame().

## ◆ m_tstate

PyThreadState* dummy_python_frame::m_tstate
| private

Definition at line 385 of file py-prettyprint.c.

Referenced by dummy_python_frame(), and ~dummy_python_frame().

## ◆ m_valid

bool dummy_python_frame::m_valid
| private

Definition at line 382 of file py-prettyprint.c.

Referenced by dummy_python_frame(), failed(), and ~dummy_python_frame().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-prettyprint.c